const semver = require('semver')
const { Snippet } = require('enquirer')
const prompt = new Snippet({
	name: 'username',
	message: 'Fill out the fields in package.json',
	required: true,
	fields: [
		{
			name: 'author_name',
			message: 'Author Name',
		},
		{
			name: 'version',
			validate(value, state, item, index) {
				if (item && item.name === 'version' && !semver.valid(value)) {
					return prompt.styles.danger('version should be a valid semver value')
				}
				return true
			},
		},
	],
	template: `{
        run: 
        node index.js
    dev:
        echo ciaone
    
}
`,
})

prompt
	.run()
	.then(answer => console.log('Answer:', answer.result))
	.catch(console.error)
